// 
// Simple example of calling Lua
//
// Author: Alex V. Boreskoff, <steps3d@narod.ru>
//

#ifdef	__cplusplus
extern "C" {
#endif

#include	"lua.h"
#include	"lauxlib.h"
#include	"lualib.h"

#ifdef	__cplusplus
};
#endif

int main ()
{
	lua_State * lua = lua_open ();			// create Lua context
	
	if ( lua == NULL )
	{
		printf ( "Error creating Lua context.\n" );
		
		return 1;
	}
	
	luaL_openlibs ( lua );					// open standart libraries
											// load and execute a file
	if ( luaL_dofile ( lua, "test-1.lua" ) )
		printf ( "Error opening test-1.lua\n" );
		
	lua_close     ( lua );					// close Lua context
	
	return 0;
}

